Join us on the Linux Gaming community on Lemmy, the federated open source alternative to Reddit.
Note: Feral incorrectly listed an AMD 5770 as the minimum, it's actually a 2GB AMD R7 260X (Driver version MESA 11.2) needed as a minimum AMD GPU.

tagline-image
Feral Interactive have started the week by increasing the hype for the Linux release of Tomb Raider. They have now released the system requirements!

Their wording at the bottom of this news post has me excited, as they state:
QuoteTomb Raider for Linux will be out very soon and will be available from Steam and the Feral Store.


Very much looking forward to completing this one on Linux. It's likely I will livestream it on the release day.

As for the specifications needed:

Minimum
OS Ubuntu 14.04 or SteamOS 2.0 (64-bit)
Processor Intel i3 or AMD FX-6300
RAM 4GB
Graphics card 1GB
NVIDIA GeForce 640 (driver version 364.12) or 2GB AMD R7 260X (Driver version MESA 11.2)

Recommended
OS Ubuntu 14.04 or SteamOS 2.0 (64-bit)
Processor Intel i5
RAM 8GB
Graphics card 3GB
NVIDIA GeForce 760 (Driver version 364.12)

See their news post here. Article taken from GamingOnLinux.com.
0 Likes
We do often include affiliate links to earn us some pennies. We are currently affiliated with GOG and Humble Store. See more here.
About the author -
author picture
I am the owner of GamingOnLinux. After discovering Linux back in the days of Mandrake in 2003, I constantly came back to check on the progress of Linux until Ubuntu appeared on the scene and it helped me to really love it. You can reach me easily by emailing GamingOnLinux directly.
See more from me
The comments on this article are closed.
56 comments
Page: 1/6»
  Go to:

grenadecx 18 Apr, 2016
*drools*

Only problem is I already got it. Maybe I should gift it to someone to support Feral.


Last edited by grenadecx on 18 April 2016 at 9:18 am UTC
Pecisk 18 Apr, 2016
Why 3GB of video memory recommended though? Usual config for 760 GTX is 2GB.
leillo1975 18 Apr, 2016
This system requirements are reasonable, and I think that the game will be released this week. I will celebrate my birthday playing it!
Samsai 18 Apr, 2016
Nice, looks like I won't have to switch GPUs when I play this!
Liam Dawe 18 Apr, 2016
Pretty impressed by those minimum requirements :)
ajgp 18 Apr, 2016
Yeah the graphoc memory requirements are a large jump from the windows release; where reccommended only needs 1GB (less than min spec for Linux)

This is a concern, I have a GTX760 with 2GB GDDR, so at least i will hit min spec, the descrepancy is very large, I have dropped a tweet to Feral as if this is sign of thinks to come, even basic linux gaming is going to require more outlay on HW to keep pace with windows.
nocri 18 Apr, 2016
Wow, AMD GPU is supported and with similarly performant card :)
Pecisk 18 Apr, 2016
Quoting: GuestThe reason for 3gb of video memory is because if you plan to push this to the max settings this game will use it

Sure, but Windows version with 2GB works flawlessly with max settings. Don't get me wrong, I am just curious why 3 GB is needed for Max settings on Linux. I will get game anyway :)
Eike 18 Apr, 2016
Quoting: nocriWow, AMD GPU is supported and with similarly performant card :)

But I thought Feral hates AMD!!!?!?!?!?!


Last edited by Eike on 18 April 2016 at 9:46 am UTC
Pecisk 18 Apr, 2016
And yeah, it is really nice to see AMD supported too.
While you're here, please consider supporting GamingOnLinux on:

Patreon, Liberapay or PayPal Donation.

This ensures all of our main content remains totally free for everyone with no article paywalls. We also don't have tons of adverts, there's also no tracking and we respect your privacy. Just good, fresh content. Without your continued support, we simply could not continue!

You can find even more ways to support us on this dedicated page any time. If you already are, thank you!
The comments on this article are closed.
Livestreams & Videos
None currently, submit yours here!